            #GIT_CMT=4737bd3784f16c18474a60d8678371108f995d7c

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.13.15
%global build_dir      src/github.com/containerd

Name:		containerd
Version:	1.3.9
Release:    2.el7
Summary:	Industry-standard container runtime
License:	ASL 2.0
Group:      System/Management
URL:		https://github.com/containerd/containerd
Vendor:		Oracle America
Source: containerd-1.3.9.tar.bz2
Source1:    containerd.service
Requires(pre):	shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: /bin/sh
Requires: container-selinux >= 2.9
Requires: libseccomp >= 2.3
Requires: iptables
Requires: libcgroup
Requires: systemd-units
Requires: tar
Requires: xz
BuildRequires: libseccomp-devel >= 2.3
BuildRequires: btrfs-progs-devel
BuildRequires:  golang >= %{golang_version}
BuildRequires:  jq

%description
containerd is an industry-standard container runtime with an emphasis on simplicity, robustness and portability. It is available as a daemon for Linux and Windows, which can manage the complete container lifecycle of its host system: image transfer and storage, container execution and supervision, low-level storage and network attachments, etc.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{build_dir}
ln -sr $(pwd) %{build_dir}/%{name}
export GOPATH=$(pwd)
cd %{build_dir}/%{name}
GIT_COMMIT_SHA=$(curl -s https://api.github.com/repos/containerd/containerd/git/refs/tags/v%{version} | grep sha | tr -d '[" "]["\""][","]' | awk -F"sha:" '{ print $2 }')
make \
    VERSION=v%{version} \
    REVISION=${GIT_COMMIT_SHA}

%install
make install DESTDIR=%{buildroot}%{_prefix}
install -d %{buildroot}/%{_unitdir}
install -p -m 644 %SOURCE1 %{buildroot}/%{_unitdir}/containerd.service

%files
%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
%{_bindir}/ctr
%{_bindir}/containerd-stress
%{_bindir}/containerd-shim-runc-v1
%{_bindir}/containerd-shim-runc-v2
%{_bindir}/containerd-shim
%{_bindir}/containerd
%{_unitdir}/containerd.service

%preun
%systemd_preun containerd

%postun
%systemd_postun_with_restart containerd

%changelog
* Wed Dec 02 2020 Michael Thompson <michael.a.thompson@oracle.com> - 1.3.9-2
- BUILDINFO: commit=4737bd3784f16c18474a60d8678371108f995d7c
- Addresses CVE-2020-15257

* Wed Dec 02 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.3.9-1
- Added Oracle specific build files
